/*
  Project: AnalogOutTest
  File: main.cpp
  Last revised by: Dr. C. S. Tritt
  Last revision on: 9/26/17 (v. 1.0)
  
  Confirms the use of a header file for data inclusion. It is not standard 
  practice to put array creation code in a header file, but it works. See 
  comments in datafile.h regarding sampling rate, etc.
*/
#include "mbed.h"

// This line incorporates the ECG data into this program. It creates an int 
// array called data_array.
#include <datafile.h> 

int main(void) {
  int aSize = sizeof(data_array)/sizeof(data_array[0]);
  printf("Calculated array size: %d.\n", aSize);
} 